package com.qmth.teachcloud.mark.service;

import com.qmth.teachcloud.mark.entity.MarkStudent;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.common.enums.mark.SubjectiveStatus;

import java.util.List;

/**
 * <p>
 * 考试考生库 服务类
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkStudentService extends IService<MarkStudent> {

    List<String> listClassByExamIdAndCourseCode(Long examId, String paperNumber);

    void updateSubjectiveStatusAndScore(Long studentId, SubjectiveStatus status, int score, String scoreList);
}
